> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current enrollment

> List workflows a contact (by vid) is currently enrolled in.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/create-manage-workflows-v2.json GET /automation/v2/workflows/enrollments/contacts/{vid}
openapi: 3.0.0
info:
  title: Workflows API v2
  version: 1.0.0
  description: Legacy Workflows API v2 generated from MDX—manage enrollments for contacts.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v2/workflows/enrollments/contacts/{vid}:
    get:
      summary: Get current enrollment
      description: List workflows a contact (by vid) is currently enrolled in.
      operationId: getCurrentEnrollment
      parameters:
        - name: vid
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Enrollment list
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Sample enrollment response - Portal 62515
                  value:
                    id: 406048
                    portalId: 62515
                    insertedAt: 1410279567999
                    updatedAt: 1438211556173
                    name: Test
                    triggers: []
                    steps:
                      - emailActions:
                          - base:
                              type: EMAIL
                              name: Follow Up
                              id: 668311
                            emailCampaignId: 10329957
                            emailContentId: 311698603
                            emailCampaignGroupId: 0
                        id: 620991
                        setContactPropertyActions: []
                        salesForceActions: []
                        listActions: []
                        delayMillis: 172800000
                        addSubtractPropertyActions: []
                        copyPropertyActions: []
                        webHookActions: []
                        notificationActions: []
                        smsNotificationActions: []
                        anchorSetting:
                          boundary: AFTER
                          execTimeOfDay: 12:00 PM
                        listId: 129
                        createSfdcTaskActions: []
                        setCompanyPropertyActions: []
                        dateStampPropertyActions: []
                        campaignMembershipActions: []
                        copyCompanyPropertyActions: []
                        workflowEnrollmentActions: []
                        incrementCompanyPropertyActions: []
                        dealActions: []
                        taskActions: []
                        leadAssignmentActions: []
                        addContactEnumOptionActions: []
                        addCompanyEnumOptionActions: []
                    allowContactToTriggerMultipleTimes: false
                    onlyExecOnBizDays: false
                    enabled: true
                    triggerSet: []
                    nurtureTimeRange:
                      enabled: false
                      startHour: 9
                      stopHour: 10
                    legacyMigration: false
                    legacyCampaignId: 0
                    unenrollmentSetting:
                      type: NONE
                      excludedWorkflows: []
                    goalList:
                      excludedListIds: []
                    type: DRIP_DELAY
                    eventAnchor:
                      staticDateAnchor: ''
                      contactPropertyAnchor: ''
                    contactLists:
                      enrolledListId: 124
                      completedListId: 126
                      succeededListId: 127
                      failedListId: 128
                      activeListId: 125
                    recurringSetting:
                      type: NONE
                    isSegmentBased: true
                    reEnrollmentTriggerSet: []
                    goalCriteriaEnabled: true
                example2:
                  summary: Sample enrollment response - Portal 311600
                  value:
                    id: 406048
                    portalId: 311600
                    insertedAt: 1410279567999
                    updatedAt: 1438211556173
                    name: Test
                    triggers: []
                    steps:
                      - emailActions:
                          - base:
                              type: EMAIL
                              name: Follow Up
                              id: 668311
                            emailCampaignId: 10329957
                            emailContentId: 311698603
                            emailCampaignGroupId: 0
                        id: 620991
                        setContactPropertyActions: []
                        salesForceActions: []
                        listActions: []
                        delayMillis: 172800000
                        addSubtractPropertyActions: []
                        copyPropertyActions: []
                        webHookActions: []
                        notificationActions: []
                        smsNotificationActions: []
                        anchorSetting:
                          boundary: AFTER
                          execTimeOfDay: 12:00 PM
                        listId: 129
                        createSfdcTaskActions: []
                        setCompanyPropertyActions: []
                        dateStampPropertyActions: []
                        campaignMembershipActions: []
                        copyCompanyPropertyActions: []
                        workflowEnrollmentActions: []
                        incrementCompanyPropertyActions: []
                        dealActions: []
                        taskActions: []
                        leadAssignmentActions: []
                        addContactEnumOptionActions: []
                        addCompanyEnumOptionActions: []
                    allowContactToTriggerMultipleTimes: false
                    onlyExecOnBizDays: false
                    enabled: true
                    triggerSet: []
                    nurtureTimeRange:
                      enabled: false
                      startHour: 9
                      stopHour: 10
                    legacyMigration: false
                    legacyCampaignId: 0
                    unenrollmentSetting:
                      type: NONE
                      excludedWorkflows: []
                    goalList:
                      excludedListIds: []
                    type: DRIP_DELAY
                    eventAnchor:
                      staticDateAnchor: ''
                      contactPropertyAnchor: ''
                    contactLists:
                      enrolledListId: 124
                      completedListId: 126
                      succeededListId: 127
                      failedListId: 128
                      activeListId: 125
                    recurringSetting:
                      type: NONE
                    isSegmentBased: true
                    reEnrollmentTriggerSet: []
                    goalCriteriaEnabled: true
        default:
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string

````